import request from '@/utils/request'

/*
收件箱接口
@author:梁逸
@date：2020-7-15
 */

// 查询【收件箱】列表
export function listDetail(query) {
  return request({
    url: '/system/email/detail/list',
    method: 'get',
    params: query
  })
}
// 查询【收件箱】列表
export function list1(query) {
  return request({
    url: '/system/email/detail/list1',
    method: 'get',
    params: query
  })
}

// 查询【根据id查询】详细
export function getDetail(mailDetailGuid) {
  return request({
    url: '/system/email/detail/' + mailDetailGuid,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addDetail(data) {
  return request({
    url: '/system/email/detail',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateDetail(data) {
  return request({
    url: '/system/email/detail' + flg,
    method: 'put',
    data: data
  })
}

// 删除【根据id删除改变状态】
export function delDetail(mailDetailGuid) {
  return request({
    url: '/system/email/detail/' + mailDetailGuid,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
// export function exportDetail(query) {
//   return request({
//     url: '/system/email/detail/export',
//     method: 'get',
//     params: query
//   })
// }
